<?php

  class mw_users_infos extends mw_controller{

    public $users_compte_controller;

    public function validate(){
      $env = $this->env();
      if($this->users_compte_controller = $env->get_controller("users/compte")){
        return $this->users_compte_controller->validate();
      }
      return "impossible de trouver le controller users/compte";
    }

    public function index(){
      $env = $this->env();
      $env->run("users/infos/edit");
    }

    public function edit(){
      $env = $this->env();
      if(isset($this->users_compte_controller->user) && $this->users_compte_controller->user !== false){
        $user = $this->users_compte_controller->user;
        if($_POST){
          $data = $env->data();
          $VALID = true;
          if($_POST["email"]) $user["email"] = $_POST["email"];
          else{
            $env->message("merci de preciser un email");
            $VALID = false;
          }
          if($VALID && isset($_POST["change_password"]) && $_POST["change_password"]){
            if($_POST["password"]){
              if($_POST["password"] == $_POST["password_confirm"]){
                $user["password"] = md5($_POST["password"]);
              }
              else{
                $env->message("la confirmation du mot de passe est incorrecte");
                $VALID = false;
              }
            }
            else{
              $env->message("merci de preciser un mot de passe");
              $VALID = false;
            }
          }
          if($VALID){
            if(
              $data->set_user(
                $user["id"],
                $user["login"],
                $user["password"],
                $user["email"],
                $user["roles"]
              )
            )
            $env->redirect(
              $env->url("users/infos"),
              "vos informations ont &eacute;t&eacute; modifi&eacute;es"
            );
            else $env->erreur("Impossible de mettre &agrave; jour l'utilisateur");
          }
        }
        $env->set_out("user", $user);
        $env->set_out("roles", $this->users_compte_controller->roles);
      }
      else $env->erreur("Impossible de lire les informations de l'utilisateur");
    }

  }
