<?php

  class mw_users_identification extends mw_controller{

    public function index(){
    }

    public function login(){
      $env = $this->env();
      if($_POST){
        $data = $env->data();
        if($user = $data->login(trim($_POST['login']), trim($_POST['pass']))){
          $env->redirect(
            $env->url(),
            "Vous &ecirc;tes maintenant identifi&eacute; en tant que ".$user['login']
          );
          $env->call_observers("user_login", array("user" => $user));
        }
        else $env->message("Identifiants incorrects");
      }
    }

    public function logout(){
      $env = $this->env();
      $data = $env->data();
      if($data->logout()){
        $env->redirect(
          $env->url("users/identification/check_logout"),
          "Deconnexion en cours...",
          0
        );
      }
      else $env->message("Erreur lors de la deconnection. il se peut que vous soyez encore identifi&eacute;");
    }

    public function check_logout(){
      $env = $this->env();
      if($env->user()){
        $env->erreur("deconnexion impossible. vous êtes toujours identifié sur le site.");
      }
      else{
        $env->redirect(
          $env->url(),
          "Vous n'&ecirc;tes plus identifi&eacute; sur le site"
        );
        $env->call_observers("user_logout");
      }
    }

  }
